#include <SDL/SDL.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "Enemigo.h"

Enemigo::Enemigo(char * path, int xx, int yy, int sx, int sy)
{
	//imagen=IMG_Load (path);
	//imagen=IMG_Load(path);
	int colorkey;
	
	imagen=SDL_LoadBMP(path);
	if (imagen == NULL)
	{
		printf ("La imagen no se ha podido cargar correctamente  /n");		
	}
	colorkey = SDL_MapRGB(imagen->format,255,255,255);
	SDL_SetColorKey(imagen,SDL_SRCCOLORKEY,colorkey);
	
	posX=posicion.x=xx;
	posY=posicion.y=yy;
	posicion.w=imagen->w;
    posicion.h=imagen->h;
	
	speedX=sx;
	speedY=sy;	
}

Enemigo::~Enemigo()
{
	SDL_FreeSurface(imagen);
}

void Enemigo::Actualizar(float time)
{
	anterior = posicion;
	posX += speedX*time;
	posicion.x = posX;
	

	posicion.y+= (int) (20*sin(speedY));
	if (speedY != 0)
	speedY ++	;	
}
